# Dockerfile for catalog_service.py

# Use an official Python runtime as a parent image
FROM python:3.9-slim

# Set the working directory in the container
WORKDIR /app

# Copy the current directory contents into the container at /app
COPY . /app

# Install any needed packages specified in requirements.txt
RUN pip install Flask setproctitle prometheus_client

# Make port 8080 available to the world outside this container
EXPOSE 8080

# Define environment variable
ENV NAME CatalogService

USER 1001:100

# Run catalog_service.py when the container launches
CMD ["python", "catalog_service.py"]
